Pular para o conteúdo

/api/v1/mcps (GET)

GET
/api/v1/mcps
curl --request GET \
--url 'https://api.endless.zaia.app/api/v1/mcps?pageNumber=1&pageSize=10'

Retrieves multiple MCPs.

agentIds
Any of:
Array<string>
connectionIds
Any of:
Array<string>
joins
Any of:
Array<string>
Allowed values: agents
pageNumber

The page number.

number
default: 1 >= 1

The page number.

pageSize

The page size.

number
default: 10 >= 1 <= 100

The page size.

search

Search term to filter MCPs by name or description.

string
>= 1 characters

Search term to filter MCPs by name or description.

versionIds
Any of:
Array<string>

Retrieves all MCPs for the workspace.

Media typeapplication/json
Array
Any of:
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
isRemoved
required
boolean
referenceId
required

The ID of the original entity in production.

string format: uuid
nullable
updatedAt
required
string format: date-time
versionId
required

A UUID v4 string that identifies an entity.

string format: uuid
connectionId
required

The id of the connection the MCP will be used through.

string format: uuid
nullable
description
required

The internal description of the MCP.

string
nullable >= 3 characters <= 250 characters
detail
required
One of:
object
tools
required
Array<string>
>= 1 items
type
required
string
Allowed values: composio-airtable composio-asana composio-bannerbear composio-browseai composio-browser-tool composio-calendly composio-clickup composio-discord composio-dropbox composio-facebook composio-figma composio-genderize composio-github composio-gitlab composio-gmail composio-google-analytics composio-google-calendar composio-google-docs composio-google-drive composio-google-maps composio-google-meet composio-google-sheets composio-google-slides composio-google-tasks composio-hubspot composio-hugging-face composio-instagram composio-linear composio-linkedin composio-mailersend composio-manus composio-mem0 composio-meta-ads composio-microsoft-clarity composio-miro composio-mixpanel composio-monday composio-notion composio-one-drive composio-openweather-api composio-outlook composio-polygon-io composio-postman composio-prisma composio-pushbullet composio-reddit composio-resend composio-salesforce composio-scrape-do composio-search-api composio-sendgrid composio-sentry composio-serpapi composio-short-io composio-short-menu composio-slack composio-slackbot composio-stripe composio-supabase composio-tavily composio-teams composio-telegram composio-ticktick composio-todoist composio-trello composio-twitter composio-typeform composio-youtube composio-zenrows
name
required

The display name of the MCP.

string
>= 3 characters <= 50 characters
workspaceId
required

The workspace ID that owns the MCP.

string format: uuid
agentMcps
required
Array<object>
object
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
agentId
required

The id of the agent to link the MCP to.

string format: uuid
mcpId
required

The id of the MCP to link to the agent.

string format: uuid
agent
required
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
isRemoved
required
boolean
referenceId
required

The ID of the original entity in production.

string format: uuid
nullable
updatedAt
required
string format: date-time
versionId
required

A UUID v4 string that identifies an entity.

string format: uuid
codeRuntime
required

Whether the agent should be able to execute JavaScript code using the Code Runtime tool.

boolean
internalName
required

The internal name of the agent. For internal use only.

string
nullable >= 3 characters <= 50 characters
iterations
required

The number of iterations (steps) the agent can execute in a single execution.

number
>= 2 <= 100
llm
required

The LLM model key to use for the agent.

string
Allowed values: claude-haiku-4-5 claude-opus-4-8 claude-opus-4-6 claude-opus-4-5 claude-sonnet-4-6 claude-sonnet-4-5 gpt-5.2 gpt-5.5 gpt-5.4 gpt-5.4-mini gpt-5.4-nano gpt-5.6-luna gpt-5.6-sol gpt-5.6-terra gemini-2.5-flash gemini-2.5-pro gemini-3.5-flash gemini-3-flash gemini-3-pro gemini-3.1-pro kimi-k2.5 kimi-k2.6 grok-4.3 grok-4.5
llmProviderId
required

The id of the LLM provider to use for the agent.

string format: uuid
nullable
name
required

The name of the agent.

string
>= 3 characters <= 50 characters
picture
required

The picture of the agent.

string
nullable
planning
required

Whether the agent should plan before each execution.

boolean
prompt
required

The main description of the agent’s behavior.

string
>= 1 characters <= 10000 characters
reasoningMode
required

The reasoning mode to use for the agent. If null, reasoning will be disabled.

string
nullable
Allowed values: low medium high xhigh
role
required

The role of the agent. Particularly useful to give other agents context of what the agent does.

string
>= 1 characters <= 250 characters
superIdentityId
required

The super identity ID associated with the agent.

string format: uuid
temperature
required

The temperature to use for the agent. The lower the more deterministic. The higher the more creative.

number
<= 2
timezone
required

The timezone to use for the agent. If null, no timezone will be used.

string
nullable
Allowed values: Africa/Cairo Africa/Johannesburg America/Chicago America/Denver America/Los_Angeles America/New_York America/Sao_Paulo America/Manaus Asia/Dubai Asia/Kolkata Asia/Shanghai Asia/Singapore Asia/Tokyo Australia/Sydney Europe/Berlin Europe/London Europe/Moscow Europe/Paris Pacific/Auckland Pacific/Auckland2 UTC auto
toolCount
required

The number of tools currently associated with the agent.

integer
voiceId
required

The TTS voice to use for audio responses. Null when disabled for the agent.

string format: uuid
nullable
workspaceId
required

The workspace ID that owns the agent.

string format: uuid
Example
[
{
"detail": {
"type": "composio-airtable"
},
"agentMcps": [
{
"agent": {
"llm": "claude-haiku-4-5",
"reasoningMode": "low",
"timezone": "Africa/Cairo"
}
}
]
}
]

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}